# object-agent

A javascript library for working with objects

[![npm][npm]][npm-url]
[![build][build]][build-url]
[![Coverage Status](https://coveralls.io/repos/github/DarrenPaulWright/object-agent/badge.svg?branch=master)](https://coveralls.io/github/DarrenPaulWright/object-agent?branch=master)
[![deps][deps]][deps-url]
[![size][size]][size-url]
[![Known Vulnerabilities](https://snyk.io/test/github/DarrenPaulWright/object-agent/badge.svg?targetFile=package.json)](https://snyk.io/test/github/DarrenPaulWright/object-agent?targetFile=package.json)

---

<a name="Installation"></a>

## Installation
With npm
```
npm install object-agent
```

## Compatibility

Requires:
- Babel >= 7.2

## Docs

- [get](docs/get.md)
- [has](docs/has.md)
- [set](docs/set.md)
- [unset](docs/unset.md)
- [forIn](docs/forIn.md)
- [forOwn](docs/forOwn.md)
- [mapOwn](docs/mapOwn.md)
- [traverse](docs/traverse.md)
- [isEmpty](docs/isEmpty.md)
- [pull](docs/pull.md)
- [isEqual](docs/isEqual.md)
- [deepEqual](docs/deepEqual.md)
- [diffUpdate](docs/diffUpdate.md)
- [intersection](docs/intersection.md)
- [clone](docs/clone.md)


## License

[MIT](LICENSE.md)

[npm]: https://img.shields.io/npm/v/object-agent.svg
[npm-url]: https://npmjs.com/package/object-agent
[build]: https://travis-ci.org/DarrenPaulWright/object-agent.svg?branch=master
[build-url]: https://travis-ci.org/DarrenPaulWright/object-agent
[deps]: https://david-dm.org/darrenpaulwright/object-agent.svg
[deps-url]: https://david-dm.org/darrenpaulwright/object-agent
[size]: https://packagephobia.now.sh/badge?p=object-agent
[size-url]: https://packagephobia.now.sh/result?p=object-agent
