/**
 * With npm
 * ```
 * npm install object-agent
 * ```
 *
 * ## Compatibility
 *
 * Requires:
 * - Babel >= 7.2
 *
 * ## Docs
 *
 * - [get](docs/get.md)
 * - [has](docs/has.md)
 * - [set](docs/set.md)
 * - [unset](docs/unset.md)
 * - [forIn](docs/forIn.md)
 * - [forOwn](docs/forOwn.md)
 * - [mapOwn](docs/mapOwn.md)
 * - [traverse](docs/traverse.md)
 * - [isEmpty](docs/isEmpty.md)
 * - [pull](docs/pull.md)
 * - [isEqual](docs/isEqual.md)
 * - [deepEqual](docs/deepEqual.md)
 * - [diffUpdate](docs/diffUpdate.md)
 * - [intersection](docs/intersection.md)
 * - [clone](docs/clone.md)
 *
 * @name Installation
 */
export { default as get } from './get';
export { default as has } from './has';
export { default as set } from './set';
export { default as unset } from './unset';
export { default as forIn } from './forIn';
export { default as forOwn } from './forOwn';
export { default as mapOwn } from './mapOwn';
export { default as traverse } from './traverse';
export { default as isEmpty } from './isEmpty';
export { default as pull } from './pull';
export { default as isEqual } from './isEqual';
export { default as deepEqual } from './deepEqual';
export { default as diffUpdate } from './diffUpdate';
export { default as intersection } from './intersection';
export { default as clone } from './clone';
